Skip to main content

Run Flow

POST 

/trifactaClassic/v1/flows/:id/run

Authentication scope: Workspace

Accessible using: OAuth 2.0 API Tokens

Run all adhoc destinations in a flow.

(deprecated) If a scheduleExecutionId is provided, run all scheduled destinations in the flow.

The request body can stay empty. You can optionally pass parameters:

{
"runParameters": {
"overrides": {
"data": [{"key": "varRegion", "value": "02"}]
}
}
}

You can also pass Spark Options that will be used for the Job run.

{
"sparkOptions": [
{"key": "spark.executor.memory", "value": "4GB"}
]
}

Using recipe identifiers, you can specify a subset of outputs in the flow to run. See runJobGroup for more information on specifying wrangledDataset.

{"wrangledDatasetIds": [2, 3]}

You can also override each outputs in the Flow using the recipe name.

{
"overrides": {
"my recipe name": {
"profiler": true,
"writesettings": [
{
"path": "<path_to_output_file>",
"action": "create",
"format": "csv",
"compression": "none",
"header": false,
"asSingleFile": false
}
]
}
}
}

An array of jobGroup results is returned. Use the flowRunId if you want to track the status of the flow run. See Get Flow Run Status for more information.

Request​

Responses​

Success